Bug 1315910 - Review Request: python-libarchive-c - Python interface to libarchive
Review Request: python-libarchive-c - Python interface to libarchive
Status: CLOSED CURRENTRELEASE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Antonio Trande
Fedora Extras Quality Assurance
:
Depends On:
Blocks: 1315912
  Show dependency treegraph
 
Reported: 2016-03-08 19:36 EST by Zbigniew Jędrzejewski-Szmek
Modified: 2016-03-31 17:46 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2016-03-31 17:46:02 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
anto.trande: fedora‑review+


Attachments (Terms of Use)

  None (edit)
Description Zbigniew Jędrzejewski-Szmek 2016-03-08 19:36:58 EST
Spec URL: http://in.waw.pl/~zbyszek/fedora/
SRPM URL: http://in.waw.pl/~zbyszek/fedora/
Fedora Account System Username: zbyszek
Description:
The libarchive library provides a flexible interface for reading and writing
archives in various formats such as tar and cpio. libarchive also supports
reading and writing archives compressed using various compression filters such
as gzip and bzip2.

A Python interface to libarchive. It uses the standard ctypes module to
dynamically load and access the C library.
Comment 2 Antonio Trande 2016-03-09 06:24:40 EST
Hi,

I obtain

ERROR: 'Cannot parse Source0 url https://github.com/Changaco/python-libarchive-c/archive/2.2.tar.gz#%/python-libarchive-c-2.2.tar.gz' (logs in /home/sagitter/.cache/fedora-review.log)


Maybe, Source0 link is not fine.
Comment 3 Zbigniew Jędrzejewski-Szmek 2016-03-09 08:16:51 EST
Oops, stray % in URL. Fixed spec and srpm uploaded in place.
Comment 4 Antonio Trande 2016-03-09 09:58:12 EST
Package Review
==============

Legend:
[x] = Pass, [!] = Fail, [-] = Not applicable, [?] = Not evaluated
[ ] = Manual review needed

==== Issue =====

- License file missing.


===== MUST items =====

Generic:
[x]: Package is licensed with an open-source compatible license and meets
     other legal requirements as defined in the legal section of Packaging
     Guidelines.
[ ]: If (and only if) the source package includes the text of the
     license(s) in its own file, then that file, containing the text of the
     license(s) for the package is included in %license.
[x]: License field in the package spec file matches the actual license.
     Note: Checking patched sources after %prep for licenses. Licenses
     found: "Unknown or generated". 16 files have unknown license. Detailed
     output of licensecheck in /home/sagitter/FedoraReview/1315910-python-
     libarchive-c/licensecheck.txt
[!]: License file installed when any subpackage combination is installed.
[x]: Package requires other packages for directories it uses.
     Note: No known owner of /usr/lib/python3.5/site-packages,
     /usr/lib/python3.5
[x]: Package must own all directories that it creates.
     Note: Directories without known owners: /usr/lib/python3.5/site-
     packages, /usr/lib/python3.5
[x]: Package contains no bundled libraries without FPC exception.
[x]: Changelog in prescribed format.
[x]: Sources contain only permissible code or content.
[-]: Package contains desktop file if it is a GUI application.
[-]: Development files must be in a -devel package
[x]: Package uses nothing in %doc for runtime.
[x]: Package consistently uses macros (instead of hard-coded directory
     names).
[x]: Package is named according to the Package Naming Guidelines.
[x]: Package does not generate any conflict.
[x]: Package obeys FHS, except libexecdir and /usr/target.
[-]: If the package is a rename of another package, proper Obsoletes and
     Provides are present.
[x]: Requires correct, justified where necessary.
[x]: Spec file is legible and written in American English.
[-]: Package contains systemd file(s) if in need.
[x]: Package is not known to require an ExcludeArch tag.
[-]: Large documentation must go in a -doc subpackage. Large could be size
     (~1MB) or number of files.
     Note: Documentation size is 20480 bytes in 2 files.
[x]: Package complies to the Packaging Guidelines
[x]: Package successfully compiles and builds into binary rpms on at least
     one supported primary architecture.
[x]: Package installs properly.
[x]: Rpmlint is run on all rpms the build produces.
     Note: There are rpmlint messages (see attachment).
[x]: Package does not own files or directories owned by other packages.
[x]: All build dependencies are listed in BuildRequires, except for any
     that are listed in the exceptions section of Packaging Guidelines.
[x]: Package uses either %{buildroot} or $RPM_BUILD_ROOT
[x]: Package does not run rm -rf %{buildroot} (or $RPM_BUILD_ROOT) at the
     beginning of %install.
[x]: Macros in Summary, %description expandable at SRPM build time.
[x]: Dist tag is present.
[x]: Package does not contain duplicates in %files.
[x]: Permissions on files are set properly.
[x]: Package use %makeinstall only when make install DESTDIR=... doesn't
     work.
[x]: Package is named using only allowed ASCII characters.
[x]: Package does not use a name that already exists.
[x]: Package is not relocatable.
[x]: Sources used to build the package match the upstream source, as
     provided in the spec URL.
[x]: Spec file name must match the spec package %{name}, in the format
     %{name}.spec.
[x]: File names are valid UTF-8.
[x]: Packages must not store files under /srv, /opt or /usr/local

Python:
[x]: Python eggs must not download any dependencies during the build
     process.
[x]: A package which is used by another package via an egg interface should
     provide egg info.
[x]: Package meets the Packaging Guidelines::Python
[x]: Package contains BR: python2-devel or python3-devel
[x]: Binary eggs must be removed in %prep

===== SHOULD items =====

Generic:
[x]: If the source package does not include license text(s) as a separate
     file from upstream, the packager SHOULD query upstream to include it.
[x]: Final provides and requires are sane (see attachments).
[x]: Fully versioned dependency in subpackages if applicable.
     Note: No Requires: %{name}%{?_isa} = %{version}-%{release} in
     python2-libarchive-c , python3-libarchive-c
[ ]: Package functions as described.
[x]: Latest version is packaged.
[x]: Package does not include license text files separate from upstream.
[-]: Description and summary sections in the package spec file contains
     translations for supported Non-English languages, if available.
[x]: Package should compile and build into binary rpms on all supported
     architectures.
[x]: %check is present and all tests pass.
[x]: Packages should try to preserve timestamps of original installed
     files.
[x]: Reviewer should test that the package builds in mock.
[x]: Buildroot is not present
[x]: Package has no %clean section with rm -rf %{buildroot} (or
     $RPM_BUILD_ROOT)
[x]: No file requires outside of /etc, /bin, /sbin, /usr/bin, /usr/sbin.
[x]: Packager, Vendor, PreReq, Copyright tags should not be in spec file
[x]: Sources can be downloaded from URI in Source: tag
[x]: SourceX is a working URL.
[x]: Spec use %global instead of %define unless justified.

===== EXTRA items =====

Generic:
[x]: Rpmlint is run on all installed packages.
     Note: There are rpmlint messages (see attachment).
[x]: Spec file according to URL is the same as in SRPM.


Rpmlint
-------
Checking: python2-libarchive-c-2.2-2.fc25.noarch.rpm
          python3-libarchive-c-2.2-2.fc25.noarch.rpm
          python-libarchive-c-2.2-2.fc25.src.rpm
python2-libarchive-c.noarch: W: spelling-error %description -l en_US cpio -> CPI
python2-libarchive-c.noarch: W: spelling-error %description -l en_US gzip -> zip, grip, g zip
python2-libarchive-c.noarch: W: spelling-error %description -l en_US ctypes -> types, c types
python3-libarchive-c.noarch: W: spelling-error %description -l en_US cpio -> CPI
python3-libarchive-c.noarch: W: spelling-error %description -l en_US gzip -> zip, grip, g zip
python3-libarchive-c.noarch: W: spelling-error %description -l en_US ctypes -> types, c types
python-libarchive-c.src: W: spelling-error %description -l en_US cpio -> CPI
python-libarchive-c.src: W: spelling-error %description -l en_US gzip -> zip, grip, g zip
python-libarchive-c.src: W: spelling-error %description -l en_US ctypes -> types, c types
3 packages and 0 specfiles checked; 0 errors, 9 warnings.




Rpmlint (installed packages)
----------------------------
Cannot parse rpmlint output:


Requires
--------
python3-libarchive-c (rpmlib, GLIBC filtered):
    libarchive(x86-64)
    python(abi)

python2-libarchive-c (rpmlib, GLIBC filtered):
    libarchive(x86-64)
    python(abi)



Provides
--------
python3-libarchive-c:
    python3-libarchive-c

python2-libarchive-c:
    python-libarchive-c
    python2-libarchive-c



Source checksums
----------------
https://github.com/Changaco/python-libarchive-c/archive/2.2.tar.gz#/python-libarchive-c-2.2.tar.gz :
  CHECKSUM(SHA256) this package     : 1d1e30a26376d6db40a1b5335538f8361451c936569a95b9fb46326ae1765832
  CHECKSUM(SHA256) upstream package : 1d1e30a26376d6db40a1b5335538f8361451c936569a95b9fb46326ae1765832


Generated by fedora-review 0.6.0 (7737a2a) last change: 2015-11-26
Command line :./try-fedora-review -m fedora-rawhide-x86_64 -b 1315910
Buildroot used: fedora-rawhide-x86_64
Active plugins: Python, Generic, Shell-api
Disabled plugins: Java, C/C++, fonts, SugarActivity, Ocaml, Perl, Haskell, R, PHP, Ruby
Disabled flags: EXARCH, DISTTAG, EPEL5, BATCH, EPEL6
Comment 5 Zbigniew Jędrzejewski-Szmek 2016-03-09 10:52:38 EST
Yeah, in the spec file there was a link to the upstream issue.
I added a pull request now (https://github.com/Changaco/python-libarchive-c/pull/24) and included the file separately in the rpm.

Spec URL: http://in.waw.pl/~zbyszek/fedora/python-libarchive-c.spec
SRPM URL: http://in.waw.pl/~zbyszek/fedora/python-libarchive-c-2.2-3.fc25.src.rpm
Comment 6 Antonio Trande 2016-03-09 11:00:19 EST
Package approved.
Comment 7 Zbigniew Jędrzejewski-Szmek 2016-03-09 11:05:52 EST
Thanks!
Comment 8 Gwyn Ciesla 2016-03-09 13:21:42 EST
Package request has been approved: https://admin.fedoraproject.org/pkgdb/package/python-libarchive-c

Note You need to log in before you can comment on or make changes to this bug.